package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class EvaluasiJabatan
 * 
 * @author Shakato
 */
public class MasterEvaluasiJabatanVO extends BaseTransactionVO {
	
	
	@ManyToOne
	@Caption(value = "Jabatan")
	private JabatanVO jabatan;
	
	@Column(name = "Bulan", nullable = false, length = 100)
	@Caption(value = "Bulan")
	private String bulan;

	@Column(name = "Tahun", nullable = false, length = 5)
	@Caption(value = "Tahun")
	private Integer tahun;
	
	@Column(name = "TotalNilai", nullable = false, length = 5)
	@Caption(value = "TotalNilai")
	private Double totalNilai;

	@ManyToOne
	//@NotNull(message = "Faktor1 Harus Diisi")
	@Caption(value = "Faktor1")
	private FaktorEvaluasiVO faktor1;

	@ManyToOne
	//@NotNull(message = "Faktor2 Harus Diisi")
	@Caption(value = "Faktor2")
	private FaktorEvaluasiVO faktor2;

	@ManyToOne
	//@NotNull(message = "Faktor3 Harus Diisi")
	@Caption(value = "Faktor3")
	private FaktorEvaluasiVO faktor3;

	@ManyToOne
	//@NotNull(message = "Faktor4 Harus Diisi")
	@Caption(value = "Faktor4")
	private FaktorEvaluasiVO faktor4;

	@ManyToOne
	//@NotNull(message = "Faktor5 Harus Diisi")
	@Caption(value = "Faktor5")
	private FaktorEvaluasiVO faktor5;

	@ManyToOne
	//@NotNull(message = "Faktor7 Harus Diisi")
	@Caption(value = "Faktor7")
	private FaktorEvaluasiVO faktor7;

	@ManyToOne
	//@NotNull(message = "Faktor8 Harus Diisi")
	@Caption(value = "Faktor8")
	private FaktorEvaluasiVO faktor8;

	@ManyToOne
	//@NotNull(message = "Faktor9 Harus Diisi")
	@Caption(value = "Faktor9")
	private FaktorEvaluasiVO faktor9;

	@ManyToOne
	//@NotNull(message = "Faktor10 Harus Diisi")
	@Caption(value = "Faktor10")
	private FaktorEvaluasiVO faktor10;
	
	@ManyToOne
	@Caption(value = "FaktorA")
	private FaktorEvaluasiVO faktorA;
	
	@ManyToOne
	@Caption(value = "FaktorB")
	private FaktorEvaluasiVO faktorB;
	
	@ManyToOne
	@Caption(value = "FaktorC")
	private FaktorEvaluasiVO faktorC;
	
	@ManyToOne
	@Caption(value = "FaktorD")
	private FaktorEvaluasiVO faktorD;
	
	@ManyToOne
	@Caption(value = "FaktorE")
	private FaktorEvaluasiVO faktorE;
	
	@ManyToOne
	@Caption(value = "FaktorF")
	private FaktorEvaluasiVO faktorF;
	
	@ManyToOne
	@Caption(value = "FaktorG")
	private FaktorEvaluasiVO faktorG;
	
	@ManyToOne
	@Caption(value = "FaktorH")
	private FaktorEvaluasiVO faktorH;
	
	@ManyToOne
	@Caption(value = "FaktorI")
	private FaktorEvaluasiVO faktorI;
	
	@ManyToOne
	@Caption(value = "FaktorJ")
	private FaktorEvaluasiVO faktorJ;
	
	@ManyToOne
	@Caption(value = "FaktorK")
	private FaktorEvaluasiVO faktorK;
	
	@ManyToOne
	@Caption(value = "FaktorL")
	private FaktorEvaluasiVO faktorL;

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

	public String getBulan() {
		return bulan;
	}

	public void setBulan(String bulan) {
		this.bulan = bulan;
	}

	public Integer getTahun() {
		return tahun;
	}

	public void setTahun(Integer tahun) {
		this.tahun = tahun;
	}

	public Double getTotalNilai() {
		return totalNilai;
	}

	public void setTotalNilai(Double totalNilai) {
		this.totalNilai = totalNilai;
	}

	public FaktorEvaluasiVO getFaktor1() {
		return faktor1;
	}

	public void setFaktor1(FaktorEvaluasiVO faktor1) {
		this.faktor1 = faktor1;
	}

	public FaktorEvaluasiVO getFaktor2() {
		return faktor2;
	}

	public void setFaktor2(FaktorEvaluasiVO faktor2) {
		this.faktor2 = faktor2;
	}

	public FaktorEvaluasiVO getFaktor3() {
		return faktor3;
	}

	public void setFaktor3(FaktorEvaluasiVO faktor3) {
		this.faktor3 = faktor3;
	}

	public FaktorEvaluasiVO getFaktor4() {
		return faktor4;
	}

	public void setFaktor4(FaktorEvaluasiVO faktor4) {
		this.faktor4 = faktor4;
	}

	public FaktorEvaluasiVO getFaktor5() {
		return faktor5;
	}

	public void setFaktor5(FaktorEvaluasiVO faktor5) {
		this.faktor5 = faktor5;
	}

	public FaktorEvaluasiVO getFaktor7() {
		return faktor7;
	}

	public void setFaktor7(FaktorEvaluasiVO faktor7) {
		this.faktor7 = faktor7;
	}

	public FaktorEvaluasiVO getFaktor8() {
		return faktor8;
	}

	public void setFaktor8(FaktorEvaluasiVO faktor8) {
		this.faktor8 = faktor8;
	}

	public FaktorEvaluasiVO getFaktor9() {
		return faktor9;
	}

	public void setFaktor9(FaktorEvaluasiVO faktor9) {
		this.faktor9 = faktor9;
	}

	public FaktorEvaluasiVO getFaktor10() {
		return faktor10;
	}

	public void setFaktor10(FaktorEvaluasiVO faktor10) {
		this.faktor10 = faktor10;
	}

	public FaktorEvaluasiVO getFaktorA() {
		return faktorA;
	}

	public void setFaktorA(FaktorEvaluasiVO faktorA) {
		this.faktorA = faktorA;
	}

	public FaktorEvaluasiVO getFaktorB() {
		return faktorB;
	}

	public void setFaktorB(FaktorEvaluasiVO faktorB) {
		this.faktorB = faktorB;
	}

	public FaktorEvaluasiVO getFaktorC() {
		return faktorC;
	}

	public void setFaktorC(FaktorEvaluasiVO faktorC) {
		this.faktorC = faktorC;
	}

	public FaktorEvaluasiVO getFaktorD() {
		return faktorD;
	}

	public void setFaktorD(FaktorEvaluasiVO faktorD) {
		this.faktorD = faktorD;
	}

	public FaktorEvaluasiVO getFaktorE() {
		return faktorE;
	}

	public void setFaktorE(FaktorEvaluasiVO faktorE) {
		this.faktorE = faktorE;
	}

	public FaktorEvaluasiVO getFaktorF() {
		return faktorF;
	}

	public void setFaktorF(FaktorEvaluasiVO faktorF) {
		this.faktorF = faktorF;
	}

	public FaktorEvaluasiVO getFaktorG() {
		return faktorG;
	}

	public void setFaktorG(FaktorEvaluasiVO faktorG) {
		this.faktorG = faktorG;
	}

	public FaktorEvaluasiVO getFaktorH() {
		return faktorH;
	}

	public void setFaktorH(FaktorEvaluasiVO faktorH) {
		this.faktorH = faktorH;
	}

	public FaktorEvaluasiVO getFaktorI() {
		return faktorI;
	}

	public void setFaktorI(FaktorEvaluasiVO faktorI) {
		this.faktorI = faktorI;
	}

	public FaktorEvaluasiVO getFaktorJ() {
		return faktorJ;
	}

	public void setFaktorJ(FaktorEvaluasiVO faktorJ) {
		this.faktorJ = faktorJ;
	}

	public FaktorEvaluasiVO getFaktorK() {
		return faktorK;
	}

	public void setFaktorK(FaktorEvaluasiVO faktorK) {
		this.faktorK = faktorK;
	}

	public FaktorEvaluasiVO getFaktorL() {
		return faktorL;
	}

	public void setFaktorL(FaktorEvaluasiVO faktorL) {
		this.faktorL = faktorL;
	}
	
	
	}